Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 492932 - sys-apps/portage-2.2.7 - portage.tests.dbapi.test_fakedbapi.TestFakedbapi fails: portage.exception.PermissionDenied: /etc/portage/make.conf
Summary: sys-apps/portage-2.2.7 - portage.tests.dbapi.test_fakedbapi.TestFakedbapi fai...
Status: RESOLVED FIXED
Alias: None
Product: Portage Development
Classification: Unclassified
Component: Unclassified (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Portage team
URL:
Whiteboard:
Keywords: InVCS
Depends on:
Blocks: 484436
  Show dependency tree
 
Reported: 2013-11-30 10:10 UTC by Toralf Förster
Modified: 2015-02-15 00:57 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
sys-apps:portage-2.2.7:20131130-095326.log.gz (sys-apps:portage-2.2.7:20131130-095326.log.gz,9.67 KB, application/x-gzip)
2013-11-30 10:10 UTC, Toralf Förster
Details
First patch including debug output (0001-first-try-on-bug-492932.patch,10.17 KB, patch)
2013-12-02 20:37 UTC, Sebastian Luther (few)
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Toralf Förster gentoo-dev 2013-11-30 10:10:15 UTC
Created attachment 364250 [details]
sys-apps:portage-2.2.7:20131130-095326.log.gz

upgrade was fine at the host, but within a 32 bit chroot environment (an user mdoe linxu image) I do get :

n22 ~ # zgrep ERROR /var/log/portage/sys-apps:portage-2.2.7:20131130-095326.log.gz
testFakedbapi (portage.tests.dbapi.test_fakedbapi.TestFakedbapi) ... ERROR
ERROR: testFakedbapi (portage.tests.dbapi.test_fakedbapi.TestFakedbapi)
 * ERROR: sys-apps/portage-2.2.7::gentoo failed (test phase):

n22 ~ # emerge --info portage                                                                                                                          
Portage 2.2.7 (default/linux/x86/13.0, gcc-4.7.3, glibc-2.16.0, 3.12.2 i686)                                                                           
=================================================================                                                                                      
                         System Settings                                                                                                               
=================================================================                                                                                      
System uname: Linux-3.12.2-i686-Intel-R-_Core-TM-_i5-2540M_CPU_@_2.60GHz-with-gentoo-2.2                                                               
KiB Mem:     8174304 total,    682528 free                                                                                                             
KiB Swap:    9767516 total,   9766052 free                                                                                                             
Timestamp of tree: Sat, 30 Nov 2013 09:15:01 +0000                                                                                                     
ld GNU ld (GNU Binutils) 2.23.1
app-shells/bash:          4.2_p45
dev-lang/python:          2.7.5-r3, 3.2.5-r3
dev-util/cmake:           2.8.10.2-r2
dev-util/pkgconfig:       0.28
sys-apps/baselayout:      2.2
sys-apps/openrc:          0.12.4
sys-apps/sandbox:         2.6-r1
sys-devel/autoconf:       2.69
sys-devel/automake:       1.13.4
sys-devel/binutils:       2.23.1
sys-devel/gcc:            4.7.3-r1
sys-devel/gcc-config:     1.7.3
sys-devel/libtool:        2.4.2
sys-devel/make:           3.82-r4
sys-kernel/linux-headers: 3.9 (virtual/os-headers)
sys-libs/glibc:           2.16.0
Repositories: gentoo toralf
ACCEPT_KEYWORDS="x86"
ACCEPT_LICENSE="* -@EULA"
CBUILD="i686-pc-linux-gnu"
CFLAGS="-O2 -march=native -pipe"
CHOST="i686-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/share/gnupg/qualified.txt"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/env.d /etc/fonts/fonts.conf /etc/gconf /etc/gentoo-release /etc/php/apache2-php5.5/ext-active/ /etc/php/cgi-php5.5/ext-active/ /etc/php/cli-php5.5/ext-active/ /etc/revdep-rebuild /etc/sandbox.d /etc/terminfo"
CXXFLAGS="-O2 -march=native -pipe"
DISTDIR="/usr/portage/distfiles"
EMERGE_DEFAULT_OPTS="--autounmask=n --keep-going=y --nospinner --tree --quiet-build --deep"
FCFLAGS="-O2 -march=i686 -pipe"
FEATURES="assume-digests binpkg-logs compress-build-logs config-protect-if-modified distlocks ebuild-locks fixlafiles merge-sync news parallel-fetch preserve-libs protect-owned sandbox sfperms strict test test-fail-continue unknown-features-warn unmerge-logs unmerge-orphans userfetch userpriv usersandbox usersync xattr"
FFLAGS="-O2 -march=i686 -pipe"
GENTOO_MIRRORS="http://mirror.netcologne.de/gentoo/ http://mirror.qubenet.net/mirror/gentoo/ http://linux.rz.ruhr-uni-bochum.de/download/gentoo-mirror/ http://ftp.snt.utwente.nl/pub/os/linux/gentoo"
LANG="en_US.utf8"
LDFLAGS="-Wl,-O1 -Wl,--as-needed"
MAKEOPTS="-j4"
PKGDIR="/usr/portage/packages"
PORTAGE_CONFIGROOT="/"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --omit-dir-times --compress --force --whole-file --delete --stats --human-readable --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
PORTDIR_OVERLAY="/usr/local/portage"
USE="acl apache2 berkdb bzip2 cli cracklib crypt cups cxx dri fam fastbuild gdbm gmp iconv ipv6 logrotate mmx modules mudflap mysql mysqli ncurses nls nptl openmp pam pcre python3 readline session sse sse2 sse3 ssl ssse3 tcpd threads unicode userlocales webmail x86 xattr xml zlib" ABI_X86="32" ALSA_CARDS="hda-intel" APACHE2_MODULES="authn_core authz_core socache_shmcb unixd actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache cgi cgid dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias" CALLIGRA_FEATURES="kexi words flow plan sheets stage tables krita karbon braindump author" CAMERAS="ptp2" COLLECTD_PLUGINS="df interface irq load memory rrdtool swap syslog" ELIBC="glibc" GPSD_PROTOCOLS="ashtech aivdm earthmate evermore fv18 garmin garmintxt gpsclock itrax mtk3301 nmea ntrip navcom oceanserver oldstyle oncore rtcm104v2 rtcm104v3 sirf superstar2 timing tsip tripmate tnt ublox ubx" INPUT_DEVICES="evdev" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LIBREOFFICE_EXTENSIONS="presenter-console presenter-minimizer" LINGUAS="en en_GB" OFFICE_IMPLEMENTATION="libreoffice" PHP_TARGETS="php5-5" PYTHON_SINGLE_TARGET="python2_7" PYTHON_TARGETS="python2_7 python3_2" RUBY_TARGETS="ruby19 ruby18" USERLAND="GNU" VIDEO_CARDS="intel" XTABLES_ADDONS="quota2 psd pknock lscan length2 ipv4options ipset ipp2p iface geoip fuzzy condition tee tarpit sysrq steal rawnat logmark ipmark dhcpmac delude chaos account"
Unset:  CPPFLAGS, CTARGET, INSTALL_MASK, LC_ALL, PORTAGE_BUNZIP2_COMMAND, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS, SYNC, USE_PYTHON

=================================================================
                        Package Settings
=================================================================

sys-apps/portage-2.2.7 was built with the following:
USE="(ipc) python3 test xattr -build -doc -epydoc (-pypy2_0) -python2 (-selinux)" LINGUAS="-ru" PYTHON_TARGETS="python2_7 python3_2 (-pypy2_0) -python2_6 -python3_3 -python3_4"
Comment 1 Sebastian Luther (few) 2013-12-02 20:37:22 UTC
Created attachment 364474 [details, diff]
First patch including debug output

@prefix: Please take a look at the patch.

The change in LocationsManager.py seems pretty obvious and fixes the reported test failure. But then tests/emerge/test_simple.py starts to fail. It complains that the directory EPREFIX is to in some test cases, does not exist. I added code to create it and to create make.profile.

Now the test fails with: emerge: there are no ebuilds to satisfy "dev-libs/A" for /tmp/tmpxQzKMD/cross_prefix/.

@prefix: I don't know how the EPREFIX stuff is intended to work. Could you give me some pointers? Should it see the ebuilds from the "host" system or not? Do you agree with other changes I made so far?
Comment 2 Fabian Groffen gentoo-dev 2013-12-17 20:33:31 UTC
(In reply to Sebastian Luther (few) from comment #1)
> Created attachment 364474 [details, diff] [details, diff]
> First patch including debug output
> 
> @prefix: Please take a look at the patch.
> 
> The change in LocationsManager.py seems pretty obvious and fixes the
> reported test failure. But then tests/emerge/test_simple.py starts to fail.
> It complains that the directory EPREFIX is to in some test cases, does not
> exist. I added code to create it and to create make.profile.
> 
> Now the test fails with: emerge: there are no ebuilds to satisfy
> "dev-libs/A" for /tmp/tmpxQzKMD/cross_prefix/.
> 
> @prefix: I don't know how the EPREFIX stuff is intended to work. Could you
> give me some pointers? Should it see the ebuilds from the "host" system or
> not? Do you agree with other changes I made so far?

 		user_config_dir = os.path.join(os.sep, eprefix, USER_CONFIG_PATH)

looks strange to me, because eprefix should start with /?

The locationamanager change, I thought only Prefix branch used the portage.const.EPREFIX hack, so what branch is this patch for?
Comment 3 Sebastian Luther (few) 2014-01-01 18:41:42 UTC
(In reply to Fabian Groffen from comment #2)
> The locationamanager change, I thought only Prefix branch used the
> portage.const.EPREFIX hack, so what branch is this patch for?

It's for master.
Comment 4 Fabian Groffen gentoo-dev 2014-02-11 20:13:43 UTC
(In reply to Sebastian Luther (few) from comment #3)
> (In reply to Fabian Groffen from comment #2)
> > The locationamanager change, I thought only Prefix branch used the
> > portage.const.EPREFIX hack, so what branch is this patch for?
> 
> It's for master.

The debug stuff should be removed from the patch

-		debug = False
+		debug = True

and all the commented out code to make it easier to see what's what.
Comment 5 Zac Medico gentoo-dev 2014-12-20 21:15:37 UTC
I have a patch in this branch:

	https://github.com/zmedico/portage/commits/bug_492932

I've posted it for review here:

	http://thread.gmane.org/gmane.linux.gentoo.portage.devel/5026
Comment 6 Zac Medico gentoo-dev 2015-01-18 18:41:50 UTC
This is in the master branch now:

https://github.com/gentoo/portage/commit/a9aea5f9a055e6a38acfbaa1b6190d0c627cb299
Comment 7 Brian Dolbec gentoo-dev 2015-02-15 00:57:07 UTC
Released in portage-2.2.16.